.insta {

  &__container {
    @include page-container;
    margin-top: 60px;
    margin-bottom: 40px;
    display: grid;
    grid-template-columns: 280px;
    grid-template-rows: 77px 1fr;
  }

  &__heading {
    @include heading-style;
    padding-bottom: 15px;
  }

  &__heading a {
    color: inherit;
  }

    &__heading:nth-child(2), &__img:nth-child(n+4) {
    display: none;
  }

  &__img {
    overflow: hidden;
  }
}

@media screen and (min-width: 630px) {
  .insta {

    &__container {
      grid-template-columns: repeat(2, 280px);
      grid-column-gap: 10px;
    }

    &__heading {
      grid-column: 1 / 3;
    }

    &__img:nth-child(4) {
      display: block;
    }
  }
}

@media screen and (min-width: 925px) {
  .insta {
    background-color: rgba(0, 0, 0, 0.03);

    &__container {
      padding-top: 50px;
      padding-bottom: 50px;
      margin-bottom: 0;
      grid-template-columns: repeat(3, 280px);
      grid-template-rows: 54px 1fr;
    }

    &__heading {
      padding-top: 0;
      padding-bottom: 35px;
    }

    &__heading:nth-child(2) {
      display: block;
      grid-column: 3;
      text-align: right;
    }

    &__img:nth-child(5) {
      display: block;
    }
  }
}

@media screen and (min-width: 1195px) {
  .insta {

    &__container {
      grid-template-columns: repeat(4, 280px);
    }

    &__heading {
      padding-bottom: 25px;
    }

    &__heading:nth-child(2) {
      grid-column: 3 / 5;
    }

    &__img:last-child {
      display: block;
    }
  }
}